こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

Rがインストールできない!

タイトル通り、統計ソフトのRがインストールできません。
Mca OS K ver.10.5.8です。
Rのミラーサイトでダウンロードしようとしたところ、
インストール先の選択で
R 3.0.2 for Mac OS X 10.6 or higher (Snow Leopard build) はこのボリュームにインストールできません。
と表示され、困っております。
当方、パソコンには疎いので
分かりやすく教えていただけると有り難いです。
また、問題解決に足りない情報などありましたら補足などで付け足したいと思います。

投稿日時 - 2013-10-06 18:43:07

QNo.8294509

すぐに回答ほしいです

質問者が選んだベストアンサー

MacOSX ver1.5.8 は Leopard とよばれる OS で、MacOSX10.6.x は Snow Leopard になります。

つまり R3.02 は OSX10.6 以上を必要としますので、OSX10.5.8 の御質問者さんの Mac には Install できないのです。

OSX10.5.8 Leopard 用の R は

http://cran.r-project.org/bin/macosx/

の「 Releases for old Mac OS X systems (through Mac OS X 10.5) and PowerPC Macs can be found in the old directory.」にある「old」を Click して出てくる Page の Ver2.10~Ver2.15、または Top Page 中段左にある Leopard の文字を Click して開く Page の

http://cran.r-project.org/bin/macosx/leopard/

にあります。

素敵な Mac Life を(^_^)/

投稿日時 - 2013-10-06 18:56:18

お礼

早速の御回答ありがとうございます!
おかげさまで無事インストールすることができました。
アホな私にも分かるように丁寧に教えてくださりありがとうございます!
かなり急いでいたので助かりました。

投稿日時 - 2013-10-06 22:22:11

ANo.1

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.2

バイナリについてNo.1で書かれているとおりですが、コンパイルするのであれば多分最新のものが使えるのではないかと思います。

私はCore Duo(32bit CPU)の最終である10.6で使っています。これも最新のバイナリは対象外になってしましました。

自力でコンパイルするのは大変なので、MacPortsを使ってインストールしています。
http://www.macports.org

私の環境では、R-appは無理なのですが、本体のR(3.0.2)は問題なくインストールできています。

投稿日時 - 2013-10-06 19:28:00

お礼

御回答ありがとうございます。
最新のもののインストール方法も教えてくださり有り難い限りです!

投稿日時 - 2013-10-06 22:25:28